=== debian/changelog ===
gftl-shared (1.0.7-2) unstable; urgency=low

  * Don't build demo executable

 -- Ole Streicher <olebole@debian.org>  Tue, 14 Jul 2020 15:47:07 +0200

gftl-shared (1.0.7-1) unstable; urgency=low

  * Initial release. Closes: #961669

 -- Ole Streicher <olebole@debian.org>  Tue, 26 May 2020 09:47:26 +0200
