=== debian/control ===
Source: gftl-shared
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (=13),
               gfortran,
               gftl-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/gftl
Vcs-Git: https://salsa.debian.org/science-team/gftl.git
Homepage: https://github.com/Goddard-Fortran-Ecosystem/gFTL
Rules-Requires-Root: no

Package: gftl-shared-dev
Architecture: any
Depends: ${misc:Depends}
Description: Common gFTL containers of Fortran intrinsic types
 gFTL-shared provides gFTL containers for the Fortran intrinsic types.
