=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gftl-shared$1\.tar\.gz/ \
  https://github.com/Goddard-Fortran-Ecosystem/gFTL-shared/tags .*/v?(\d\S*)\.tar\.gz
